﻿body {
    margin: 0;
    font-family: var(--bs-body-font-family);
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    text-align: var(--bs-body-text-align);
    background-color: #f4f6f9 !important;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 600;
    line-height: 1.2;
    color: var(--bs-heading-color);
}

h1, .h1 {
    font-size: calc(1.3rem + 0.6vw);
}

@media (min-width: 1200px) {
    h1, .h1 {
        font-size: 1.75rem;
    }
}

h2, .h2 {
    font-size: calc(1.275rem + 0.3vw);
}

@media (min-width: 1200px) {
    h2, .h2 {
        font-size: 1.5rem;
    }
}

h3, .h3 {
    font-size: calc(1.26rem + 0.12vw);
}

@media (min-width: 1200px) {
    h3, .h3 {
        font-size: 1.35rem;
    }
}

h4, .h4 {
    font-size: 1.25rem;
}

h5, .h5 {
    font-size: 1.15rem;
}

h6, .h6 {
    font-size: 1.075rem;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
}
.form-label {
    font-size: 0.9rem;
    font-weight: 700;
    color: var(--bs-gray-700);
}
textarea.form-control {
    resize: none;
    height: 120px;
}
.form-control, .form-select {
    box-shadow: none;
    border-radius: .25rem;
    &:focus {
        box-shadow: none;
        border-color: #198754;
    }
}
.invalid-feedback {
    &:empty {
        display: none !important;
    }
}
/*.form-check-label {
    color: var(--bs-gray-500);
}*/
.btn:focus, .btn:active, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: none;
    outline: none;
}
.btn {
    box-shadow: none !important;
    outline: none !important;
}
.card-title {
    font-weight: 700;
}
.table-order-details {
    white-space: nowrap;   
}
.width-150 {
    width: 150px;
}
.header {
    position: sticky;
    top: 0;
    z-index: 99999;
    .navbar-toggler {
        margin-left: auto;
        margin-right: 10px;
        box-shadow: none;
    }
    .navbar-collapse {
        .navbar-nav:first-child {
            .dropdown-menu {
                min-width: 200px;
            }
        }
    }
    .navbar-light .navbar-nav .nav-link.active,
    .navbar-light .navbar-nav .show > .nav-link {
        color: #198754 !important;
        font-weight: 500;
    }
}


@media (max-width: 1399.98px) {
    .table-responsive-xxl {
        .table {
            white-space: nowrap;
        }
    }
}
@media (max-width: 1199.98px) {
    .table-responsive-xl {
        .table {
            white-space: nowrap;
        }
    }
}
@media (max-width: 991.98px) {
    .table-responsive-lg {
        .table {
            white-space: nowrap;
        }
    }
}
@media (max-width: 991.98px) {
    .table-responsive-lg {
        .table {
            white-space: nowrap;
        }
    }
}
@media (max-width: 767.98px) {
    .table-responsive{
        .table {
            white-space: nowrap;
        }
    }
}

.table-with-dropdown {
    min-height: 300px;
}
.table-responsive, .table-responsive-sm, .table-responsive-md, .table-responsive-lg, .table-responsive-xl, .table-responsive-xxl {
    margin-bottom: 1rem;
    .table {
        margin-bottom: 0;
    }
}
.apexcharts-svg {
    width: 100%;
    height: auto;
    display: block;
}

.page-item {
    margin-inline: 3px;
}
.table {
    thead tr {
        th, td {
            background-color: rgba(var(--bs-emphasis-color-rgb), 0.05) !important;
        }
    }
}
.pagination .page-item .page-link {
    background-color: transparent;
    border-color: #198754;
    color: #198754;
}
.pagination .page-item .page-link:focus, .pagination .page-item .page-link:active {
    box-shadow: none !important;
    outline: none !important;
}
.pagination .page-item .page-link:hover,
.pagination .page-item.active .page-link {
    background-color: #198754;
    color: #fff;
}
.cursor-pointer {
    cursor: pointer;
}